Name:           perl-Apache-Session
Version:        1.94
Release:    2%{?dist}
Summary:        Persistence framework for session data
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Apache-Session
Source0:        https://cpan.metacpan.org/modules/by-module/Apache/Apache-Session-%{version}.tar.gz
Patch0:         Apache-Session-mp2.patch
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI::Cookie)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IPC::Semaphore)
BuildRequires:  perl(IPC::SysV)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(vars)
BuildRequires:  perl(base)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBD::Pg)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::Database)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.41

%description
Apache::Session is a persistence framework that is particularly useful for
tracking session data between httpd requests. Apache::Session is designed
to work with Apache and mod_perl, but it should work under CGI and other
web servers, and it also works outside of a web server altogether.

%prep
%setup -q -n Apache-Session-%{version}
find -type f -exec perl -pi -e 's/\r//g' {} +

%patch0 -p1

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc CHANGES Contributing.txt README TODO
%doc eg/
%{perl_vendorlib}/Apache/
%{_mandir}/man3/Apache::Session*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.94-2
- Rebuilt for loongarch64

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.94-1
- initial build
